/**

    Copyright 2004, 2007 Engineering Ingegneria Informatica S.p.A.

    This file is part of Spago.

    Spago is free software; you can redistribute it and/or modify
    it under the terms of the GNU Lesser General Public License as published by
    the Free Software Foundation; either version 2.1 of the License, or
    any later version.

    Spago is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU Lesser General Public License for more details.

    You should have received a copy of the GNU Lesser General Public License
    along with Spago; if not, write to the Free Software
    Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA

**/
package it.eng.spago.cms;

/**
 * Models a version of a node
 */
public class CmsVersion {

	String name = "";
	String dataCreation = "";
	
	/**
	 * Constructor of the class useful to build a CmsVersion setting 
	 * the name and the data of the creation
	 * @param namein The name of the version
	 * @param datain The string representation of the creation data
	 */
	public CmsVersion(String namein, String datain) {
		name = namein;
		dataCreation = datain;
	}
	
	/**
	 * Gets the string representation of the creation data
	 * @return the string representation of the creation data
	 */
	public String getDataCreation() {
		return dataCreation;
	}
	/**
	 * Sets the string representation of the creation data
	 * @param dataCreation the string representation of the creation data
	 */
	public void setDataCreation(String dataCreation) {
		this.dataCreation = dataCreation;
	}
	/** 
	 * gets the name of the version
	 * @return The name of the version
	 */
	public String getName() {
		return name;
	}
	/**
	 * Sets the name of the version
	 * @param name the name of the version
	 */
	public void setName(String name) {
		this.name = name;
	}
	
}
