package it.eng.spago.cms.exceptions;

/**
 * Models an exception occured when processing a path element which is not
 * expressed whit the correct format
 */
public class PathNotValidException extends Exception {

	/**
	 * Constructor of the class useful to build the exception without an error message 
	 */
	public PathNotValidException() {
		super();
	}
	
	/**
	 * Constructor of the class useful to build the exception with an error message 
	 * @param msg Error Message
	 */
	public PathNotValidException(String msg) {
		super(msg);
	}
	
	/**
	 * Constructor of the class useful to build the exception with an error message 
	 * and a preceding exception
	 * @param msg Error Message
	 * @param exception Preceding Throwable object
	 */
	public PathNotValidException(String msg, Throwable exception) {
		super(msg, exception);
	}
	
}
