package it.eng.spago.cms.exceptions;

/**
 * Models an exception occured when the system try to cast cms properties 
 * to different types
 */
public class ValueCastException extends Exception {
	
	/**
	 * Constructor of the class useful to build the exception without an error message 
	 */
	public ValueCastException() {
		super();
	}
	
	/**
	 * Constructor of the class useful to build the exception with an error message 
	 * @param error Error Message
	 */
	public ValueCastException(String error) {
		super(error);
	}
	
	/**
	 * Constructor of the class useful to build the exception with an error message 
	 * and a preceding exception
	 * @param error Error Message
	 * @param exception Preceding Throwable object
	 */
	public ValueCastException(String error, Throwable exception) {
		super(error, exception);
	}
	
}
