package it.eng.spago.cms.pool;

import it.eng.spago.cms.exec.CMSConnection;
import it.eng.spago.error.EMFInternalError;

/**
 * Interface that defines methods to manage a pool of cms repository connections
 */
public interface CMSPool {

	/**
	 * Gets a connection to the repository
	 * @return CMSConnection to the repository
	 * @throws EMFInternalError if an error occurs during the connection retriving
	 */
	public CMSConnection getConnection() throws EMFInternalError;
	
	/**
	 * Closes a connection of the repository
	 * @param con, connection to close 
	 * @throws EMFInternalError if an error occurs during the connection closing
	 */
	public void closeConnection( CMSConnection con ) throws EMFInternalError;
	
}
